% this program calculates whatever lars wants:

% plot d^1 and d^2;

%head;
clear all;
load lars_xt;

pd=1:T;

pd=ptime(1970.3,105,4);

% original

plot(pd,d1,'yx-',pd,d2,'r^:');
plot(pd,d1,'yx',pd,d2,'r^');

title('Individual Components of the endowment processes')
axis([pd(1) pd(105) -1.5 1.5])

%xlabel('time')
%ylabel('endowment')
legend('persistent component','transitory component')

print -deps endow_ind

% filtered

plot(pd,d1_filtered,'gd--',pd,d2_filtered,'ko-.');
plot(pd,d1_filtered,'gd',pd,d2_filtered,'ko');

title('Individual Components of the filtered processes')
axis([pd(1) pd(105) -1.5 1.5])

legend('persistent component','transitory component')

print -deps endow_fil

% all

plot(pd,d1,'yx-',pd,d2,'r^:',pd,d1_filtered,'gd--',pd, ...
     d2_filtered,'ko-.')
% without lines connecting;
plot(pd,d1,'yx',pd,d2,'r^',pd,d1_filtered,'gd',pd, ...
     d2_filtered,'ko')
axis([pd(1) pd(105) -1.5 1.5])

title('Individual Components of original and filtered processes')

legend('persistent,original','transitory,original', ...
       'persistent,filtered','transitory,filtered')

print -deps endow_all
