%  lplq2.m  BAD OLD VERSION: LPLPFINAL IS THE CORRECT ONE
% 
%  robust version of Lucas-Prescott investment under uncertainty model
%  Compute equilibrium in two ways and check consistency

     a0= 100;    % intercept of demand function
     a1=1;      % slope of demand function
     rho=0.8;   % autocorrelation factor  % originally set at .8
     Ce=.2;     % variance of shocks
     c=10;      % adjustment cost factor  % originally set at 1
     b=0.95;    % discount factor
     
     d=20;      % unit cost for competitive firm
     e=20;      % unit cost for large firm
     g=1;     %  quadratic term in cost function for large firm; originally set at .2
     h=1;      % quadratic term in cost function for competitive firm% originally set at .2
     
     thf=300;
     
      % step 1: solve the robust planning problem
 %
 % state is [1 q_t v_t]
 % 
 %  
 A=[1 0 0;
     0 1 0;
     0 0 rho];
 B=[0 1 0]';
 C=[0 0 Ce]';
 
 Q=[ 0 .5*(a0-d) 0;
     .5*(a0-d) -.5*(a1+h) -.5*d;
     0    -.5*d 0 ];
 R=-.5*c;
 
 As=A*sqrt(b)
  Bs=B*sqrt(b)
 [Fs,Ks,Ps,Pst]=doublex9(As,Bs,C,Q,R,-1/thf);
 Ks=b^(-.5)*Ks;
 Fs
 Ks
 
  %  step 2: solve the representative firm's problem:

 % state is now [1 qbar q v]
 %
 % first construct the law of motion of qbar_{t+1}= df*state
 df=zeros(1,4);
 
 df(1)=-Fs(1);
 df(2)=1-Fs(2);
 df(4)=-Fs(3);
 Af=[1 0 0 0;
     df;   % pick off the 1, qbar, v components of F -- remember - sign
     0 0 1 0 ;
     0 0 0 rho];
 
 Bf=[0 0 1 0]';
 Cf=[0 0 0 Ce];

 Qf=[0 0 .5*(a0-d) 0 ;
     0 0 -a1/2 0;
    .5*(a0-d) - a1/2 -.5 h .5;
    0 0 .5 0];

  Rf=-.5*c;