% load data on mpr and detection probability;

% below is from tom2hst;
load mpu_hst
%save mpu_hst med_mpr1 med_mpr2 med_mpr3 med_mpr4

% below is output from tom2hsw;
load mpu_hsw
%save mpu_hsw med_mpr1hsw med_mpr2hsw med_mpr3hsw  med_mpr4hsw

% below is the output from tom2ben;
load mpu_ben
%save mpu_ben med_mpr1ben med_mpr2ben med_mpr3ben  med_mpr4ben

vec_hstmpu1=med_mpr1(:);
vec_hstmpu2=med_mpr2(:);
vec_hstmpu3=med_mpr3(:);
vec_hstmpu4=med_mpr4(:);

vec_hswmpu1=med_mpr1hsw(:);
vec_hswmpu2=med_mpr2hsw(:);
vec_hswmpu3=med_mpr3hsw(:);
vec_hswmpu4=med_mpr4hsw(:);

vec_benmpu1=med_mpr1ben(:);
vec_benmpu2=med_mpr2ben(:);
vec_benmpu3=med_mpr3ben(:);
vec_benmpu4=med_mpr4ben(:);


detect_hst=[0.4605    0.4254    0.3844 ;
	    0.4390    0.3739    0.3216 ;
	    0.4165    0.3371   0.2576 ];

detect_ben=[0.4637    0.4237  0.3857 ;
	    0.4370    0.3796    0.3231 ;
	    0.4169   0.3380    0.2647 ];

detect_hsw=[0.4410    0.3781    0.3191;
	    0.4063    0.3092    0.2238;
	    0.3731    0.2466    0.1481];

vec_hstdetec=detect_hst(:);
vec_hswdetec=detect_hsw(:);
vec_bendetec=detect_ben(:);


figure(1)
% plot 1-pd
plot(vec_hstdetec,vec_hstmpu1,'rx',vec_hswdetec,vec_hswmpu1,'ko',vec_bendetec,vec_benmpu1,'bs') 
ylabel('One-Period Market Price of Knightian Uncertainty')
xlabel('Detection Error Probability')

legend('HST','HSW','Benchmark')

print -depsc harald1

% plot 2-pd

figure(2)
plot(vec_hstdetec,vec_hstmpu2,'rx',vec_hswdetec,vec_hswmpu2,'ko',vec_bendetec,vec_benmpu2,'bs') 
ylabel('Two-Period Market Price of Knightian Uncertainty')
xlabel('Detection Error Probability')

legend('HST','HSW','Benchmark')

print -depsc harald2

% plot 3-pd
figure(3)
plot(vec_hstdetec,vec_hstmpu3,'rx',vec_hswdetec,vec_hswmpu3,'ko',vec_bendetec,vec_benmpu3,'bs') 
ylabel('Three-Period Market Price of Knightian Uncertainty')
xlabel('Detection Error Probability')

legend('HST','HSW','Benchmark')

print -depsc harald3

% plot 4-pd
figure(4)
plot(vec_hstdetec,vec_hstmpu4,'rx',vec_hswdetec,vec_hswmpu4,'ko',vec_bendetec,vec_benmpu4,'bs') 
ylabel('Four-Period Market Price of Knightian Uncertainty')
xlabel('Detection Error Probability')

legend('HST','HSW','Benchmark')

print -depsc harald4



