function [cchky, cchkz, ctldz]=filfnc(Azz,Ayz,Cz,Cy);
% filtering 
% for detailed mathematical derivation, please see notes;
% kfilter;
[K,Sigma]=kfilter(Azz,Ayz,Cz*Cz',Cy*Cy',Cz*Cy');

% Constructing Lambda;

Lambda11=Ayz*Sigma*Ayz'+Cy*Cy';
Lambda12=Ayz*Sigma*Azz'+Cy*Cz';
Lambda21=Azz*Sigma*Ayz'+Cz*Cy';
Lambda22=Azz*Sigma*Azz'+Cz*Cz';

Lambda=[Lambda11 Lambda12; Lambda21 Lambda22];

% setup diagonalizing matrix;
%L=[eye(ny) zeros(ny,nz); -K eye(nz)];

% note that the diagonalization needs L first then L';
%LLambda=L*Lambda*L';

% the suggested routine by Tom is equivalent to the
% following strategy of factoring Lambda11 and Lambda22
% after projection

tmp1=chol(Lambda11);
cchky=tmp1';

tmp2=(Lambda22-Lambda21 * inv(Lambda11) * Lambda12);

% no more cheating is needed here;
% to cheat a bit here;
% adding a positive epsilon matrix to avoid the zero
% eigen value problem

%rowtmp2=size(tmp2,1);
%sm=0.0001;
%sm=0.000001;
%sm=0.0000001;
%sm=sm*sm;
%tmp2=tmp2+sm*eye(rowtmp2);
tmp3=chol(tmp2);
ctldz=tmp3';

cchkz=K*cchky;


