% muthr.m
%  computes robust muth decision filter
%  for the problem with state space representation
% Solves the robust filtering problem for the state space system
 
 %   x' = A x + B u + D w
 %   y  = C x       + E w
 %   z  = H x + G u
 
 % with A=1,C=1; D=[1 0]; E=[0 1]; H=1;
 
 A=1;
 C=1;
 
 D=[1 0];
 E=[0 1];
 H=1;
 Q=1;
 sig=-.02;
 [K1,K2,S]=doublex8(A,C,D,E,Q,sig)
 
 %  long run effect
 K1/(1-(1-K1+K2))
 
