% oliall.m
%  calculates the oligopoly example, by managing oliwork and oliall


%      [y1,xinitial,xs,yinitial,ys,nn]=oligopwork(thm,thf)

thmh=100000;
thfh=100000;
thml=100000;
thfl=100000;

% thm is monopolist
% thf is fringe

thmh=100000;
thfh=100000;
thml=10;
thfl=10;




[yhh,xinitialhh,xshh,yinitialhh,yshh,nn]=oligopwork(thmh,thfh)
[yhl,xinitialhl,xshl,yinitialhl,yshl,nn]=oligopwork(thmh,thfl)
[ylh,xinitiallh,xslh,yinitiallh,yslh,nn]=oligopwork(thml,thfh)
[yll,xinitialll,xsll,yinitialll,ysll,nn]=oligopwork(thml,thfl)

!del olistore

disp('thetam is first, thetaf=thetafringe is second')

format long
diary olistore

disp('y vector is p, q, Q, mu_u, mu_w, v, V, U, W, w')
disp('yshh'),yshh'
disp('yshl-yshh'),yshl'-yshh'
disp('yslh-yshh'),yslh'-yshh'
disp('ysll-yshh'),ysll'-yshh'



disp('y vector is p, q, Q, mu_u, mu_w, v, V, U, W, w')
disp('yshh'),yshh'
disp('yshl'),yshl'
disp('yslh'),yslh'
disp('ysll'),ysll'


disp('y vector is p, q, Q, mu_u, mu_w, v, V, U, W, w')
disp('yinitialhh'),yinitialhh'
disp('yinitialhl-yinitialhh'),yinitialhl'-yinitialhh'
disp('yinitiallh-yinitialhh'),yinitiallh'-yinitialhh'
disp('yinitialll-yinitialhh'),yinitialll'-yinitialhh'


disp('y vector is p, q, Q, mu_u, mu_w, v, V, U, W, w')
disp('yinitialhh'),yinitialhh'
disp('yinitialhl'),yinitialhl'
disp('yinitiallh'),yinitiallh'
disp('yinitialll'),yinitialll'

diary off
format short

return

figure(1)

tt=[0:nn-2];  % for cosmetics of figure, to label x-axis properly

figure(1)   %  impulse response
subplot(4,1,1)
stairs(tt,yhh(:,1),'-r'),ylabel('p')
hold on
stairs(tt,yll(:,1),'-.g'),ylabel('p')
hold off
subplot(4,1,2)
stairs(tt,yhh(:,2),'-r'),ylabel('q')
hold on
stairs(tt,yll(:,2),'-.g'),ylabel('q')
hold off
subplot(4,1,3)
stairs(tt,yhh(:,3),'-r'),ylabel('Q')
hold on
stairs(tt,yll(:,3),'-.g'),ylabel('Q')
hold off
subplot(4,1,4)
stairs(tt,yhh(:,2)+yhh(:,3),'-r'),ylabel('q +Q')
hold on
stairs(tt,yll(:,2)+yll(:,3),'-.g'),ylabel('q +Q')
hold off


figure(2); % impulse response 
subplot(2,1,1)
stairs(tt,yhh(:,5),'-r'),ylabel('\mu_w')
hold on
stairs(tt,yll(:,5),'-.g'),ylabel('\mu_w')
hold off
subplot(2,1,2)
stairs(tt,yhh(:,4),'-r'),ylabel('\mu_u')
hold on
stairs(tt,yll(:,4),'--g'),ylabel('\mu_u')
hold off
%print -depsc monopoly2

figure(3);  % impulse response
subplot(3,1,1)
stairs(tt,yhh(:,6),'-r'),ylabel('v')
hold on
stairs(tt,yll(:,6),'--g'),ylabel('v')
hold off
subplot(3,1,2)

stairs(tt,yhh(:,7),'-r'),ylabel('V')
hold on
stairs(tt,yll(:,7),'--g'),ylabel('V')
hold off
subplot(3,1,3)
stairs(tt,yhh(:,7)-yhh(:,6),'-r'),ylabel('V-v')
hold on
stairs(tt,yll(:,7)-yll(:,6),'--g'),ylabel('V-v')
hold off
%print -depsc monopoly3

figure(4)  % impulse response

subplot(2,1,1)
stairs(tt,yhh(:,9),'-r'),ylabel('W')
hold on
stairs(tt,yll(:,9),'--g'),ylabel('W')
hold off

subplot(2,1,2)
stairs(tt,yhh(:,10),'-r'),ylabel('w')
hold on
stairs(tt,yll(:,10),'--g'),ylabel('w')
hold off

%print -depsc monopoly4

