%  perminc
%  consumption example for chapter 2 of HS robustness monograph
%
%
%
beta=.95;
R=1/beta;
mu=10;   % mean of endowment
rho=.9;  % first order a.r. of endowment
b=30;    % preference point
cd=.04;  %  endowment innovation standard deviation
sig=-.000;



A=[1 0 0;
   mu*(1-rho) rho 0;
   -b 0 R];

B=[0 0 -1]';  

D=[0 cd 0]';
Q=eye(3)*.0001; RR=1;    %  Q for the quadratic form in STATE, R in CONTROLs

[F,K,P,Pt]=cheap9(beta,A,B,D,Q,RR,sig);



%[F,K,P,Pt]=doublex9(A,B,D,Q,R,sig)

