% task3
%  Program for task2
% May 7, 2001
% Stijn Van Nieuwerburgh; modified by Sargent to get interval right

xp=1.5;
N=150;

% Case one: epsilon > |b|
e = 0.5
b = 0.3

e=.3
b=0

if abs(b)>= e,
    disp('wrong parameter values')
end



[u,y1]=fplot('pmin',[-xp xp],N,[],[],e,b);
[u,y2]=fplot('pplus',[-xp xp],N,[],[],e,b);
y3=min(y1(1:N),y2(1:N)) ;



figure(1)
plot(u(1:N),y1(1:N),'b--'),hold on;
plot(u(1:N),y2(1:N),'g--'),
plot(u(1:N),y3(1:N),'r-'), hold off
xlabel('u'); ylabel('p+,p-,min{p+,p-}');
title('\epsilon > |b|');
axis([-xp u(N) min(y3(1:N)) 0]);
print -depsc berg1

% Case one: epsilon < |b|
e = 0.5
b = 0.8

e=.3
b=.5

if abs(b)<= e,
    disp('wrong parameter values')
end


[u,y1]=fplot('pmin',[-xp xp],N,[],[],e,b);
[u,y2]=fplot('pplus',[-xp xp],N,[],[],e,b);
y3=min(y1(1:N),y2(1:N)) ;

figure(2)
plot(u(1:N),y1(1:N),'b--'),hold on;
plot(u(1:N),y2(1:N),'g--');hold on;
plot(u(1:N),y3(1:N),'r-'); hold off
xlabel('u'); ylabel('p+,p-,min{p+,p-}');
title('\epsilon < |b|');
axis([-xp u(N) min(y3(1:N)) 0]);
print -depsc berg2