%%  testing200 trying out graph with eta

theta=1.91;

del=.95; % used .95 in paper
rho=.9;  %used .9 in paper
eta=sqrt(.01);
H=[1 -1; 0 -eta]; J=[0; 1];

A=[del 0;
    0 rho];
B=[1 0]';
C=[0 1]';

Q=H'*H;
R=J'*J;
bet=1;
%theta=200;

   % note: 2 is the breakdown point
sig=-1/theta

[F,K,P,Pt]=olrprobust(bet,A,B,C,Q,R,sig);


AF=A-B*F;
HF=H -J*F;


% Do a check for theta

%

Rb=[R 0;
    0 -theta];

Bb=[B C];

check =(Rb+Bb'*P*Bb)

A1=AF;
B1=C;
%C1=HF;
%D1=[0 0]';
C1=HF;
D1=[0 0]';

sys1=ss(A1,B1,C1,D1,1)


JJ=128;
jj=[0:JJ];



w=[pi*jj]/JJ;
fr=freqresp(sys1,w)



nw = length(w);
[r1,c1,p1] = size(fr);
wi=zeros(JJ,1);
sp=zeros(JJ,1);
cr=zeros(JJ,1);
for i=1:JJ+1
    wi(i)=exp(-j*w(i));
    sp(i)=(HF*inv(eye(2)-AF*wi(i))*C)'*(HF*inv(eye(2)-AF*wi(i))*C)
    %sp(i)=fr(:,:,i)'*fr(:,:,i)
cr(i) =theta - sp(i);
end


figure(1),subplot(2,1,1)
plot(w,sp,'b-'),xlabel('\omega'),title('G_F(exp(-i \omega))^T G_F(exp(-i \omega))' )
%axis([0,pi,0,3.5])
hold on


hold off
%figure(2),
subplot(2,1,2)
plot(w,cr,'b-'),xlabel('\omega'),title('\theta - G_F(exp(-i \omega))^T G_F(exp(-i \omega))')
%axis([0,pi,0,4.5])
hold on
hold off