function[vs]=value2(a,c,r)
%function[vs]=value2(a,c,r)
%  Computes 
%  vs = E x'*r*x 
%  for the system
%   x' = a x + c w  (here ' means a next period value) 
%  where w is i.i.d. with mean zero and E w w' = I (here ' means transpose)
%  Thus, vs is the unconditional mean of x'rx.  April 18, 2000.

sigx=doublej(a',c*c');   %  note the ' on a'
vs=trace(r*sigx);

